xquery version "1.0";
declare variable $vo as xs:string external;
declare variable $upper := upper-case($vo);
declare variable $lower := lower-case($vo);
declare variable $compute_element_id as xs:string external;
declare variable $storage_element_id as xs:string external;
declare variable $site_name as xs:string external;

string-join(
  for $cese in //GlueCESEBind[@dn][@GlueCESEBindMountInfo]
    let $seroot := substring-before($cese/@GlueCESEBindMountInfo, ",")
    let $ceroot := substring-after($cese/@GlueCESEBindMountInfo, ",")
    let $befceid := substring-before($cese/@dn, "GlueCESEBindGroupCEUniqueID")
    let $aftseid := substring-after($befceid, "GlueCESEBindSEUniqueID=")
    let $seid_cese := substring-before($aftseid, ",")
    let $befsitename := substring-before($cese/@dn, "Mds-Vo-name=")
    let $aftceid := substring-after($befsitename, "GlueCESEBindGroupCEUniqueID=")
    let $ceid_cese := substring-before($aftceid, ",")
    let $aftsitename := replace($cese/@dn, concat($befsitename, "Mds-Vo-name="), "")
    let $site_name_cese := substring-before($aftsitename, ",")
    for $voinfo in //GlueSE[@GlueSEUniqueID]/GlueSEAccessProtocol[@GlueSEAccessProtocolType='file']/../GlueSA/GlueVOInfo[@GlueVOInfoAccessControlBaseRule=$vo or @GlueVOInfoAccessControlBaseRule=$upper or @GlueVOInfoAccessControlBaseRule=$lower][@GlueVOInfoPath]
      let $seid_se := $voinfo/../../@GlueSEUniqueID
      return
        if ($site_name="" or $site_name=$site_name_cese) then
          if ($storage_element_id="" or $storage_element_id=$seid_cese) then
            if ($compute_element_id="" or $compute_element_id=$ceid_cese) then
              if ($seid_cese=$seid_se) then
                if (string-length($seroot)>0) then
	          if (string-length($ceroot)>0) then
                    concat($ceroot, substring-after($voinfo/@GlueVOInfoPath, $seroot), "&#x20;", $ceid_cese, "&#xA;")
	          else()
	        else()
              else ()
	    else ()
	  else ()
	else ()
,"")
