xquery version "1.0";
declare variable $vo as xs:string external;
declare variable $upper := upper-case($vo);
declare variable $lower := lower-case($vo);
declare variable $free_online_size as xs:decimal external;
declare variable $free_online_size_arg as xs:decimal:= if ($free_online_size=0) then 0 else $free_online_size;

string-join(
for $voinfo in //GlueSE[@GlueSEUniqueID]/GlueSEControlProtocol[@GlueSEControlProtocolVersion='2.2.0']/../GlueSA[@GlueSAFreeOnlineSize>=$free_online_size_arg]/GlueVOInfo[@GlueVOInfoAccessControlBaseRule=$vo or @GlueVOInfoAccessControlBaseRule=$upper or @GlueVOInfoAccessControlBaseRule=$lower]
    return concat($voinfo/../../@GlueSEUniqueID, "&#xA;"), 
"")
