package gov.fnal.xpathsearch.cache.xmldb;

public class TestXMLDBQuery {

    public static void main(String [] args) throws Exception {

        try {
            //"/entries/GlueSE/GlueSA/GlueVOInfo"
            StringBuilder xq = new StringBuilder();
            xq.append("string-join(").append("\n");
            xq.append("for $voinfo in doc('dbxml:/is.grid.iu.edu/bdii')//GlueSE/GlueSEControlProtocol[@GlueSEControlProtocolVersion='2.2.0']/../GlueSA[@GlueSAFreeOnlineSize!=0]/GlueVOInfo[@GlueVOInfoAccessControlBaseRule='engage'][@GlueVOInfoPath]").append("\n");
            xq.append("let $rootpath := $voinfo/@GlueVOInfoPath").append("\n");
            xq.append("let $endpoint := $voinfo/../../GlueSEControlProtocol[@GlueSEControlProtocolVersion='2.2.0']/@GlueSEControlProtocolEndpoint").append("\n");
            xq.append("return concat(\"srm\", substring($endpoint, 6), \"?SFN=\", $rootpath,  \"/TESTFILE\", \"&#xA;\"),").append("\n");
            xq.append("\"\")");
//String xq = "string-join(for $voinfo in doc('dbxml:/is.grid.iu.edu/bdii')//GlueSE/GlueSEControlProtocol[@GlueSEControlProtocolVersion='2.2.0']/../GlueSA[@GlueSAFreeOnlineSize!=0]/GlueVOInfo[@GlueVOInfoAccessControlBaseRule='engage'][@GlueVOInfoPath] let $rootpath := $voinfo/@GlueVOInfoPath let $endpoint := $voinfo/../../GlueSEControlProtocol[@GlueSEControlProtocolVersion='2.2.0']/@GlueSEControlProtocolEndpoint return concat(\"srm\", substring($endpoint, 6), \"?SFN=\", $rootpath,  \"/TESTFILE\", \"&#xA;\"), \"\")";
            //String xq = "for $voinfo in doc('dbxml:/is.grid.iu.edu/bdii')//GlueSE/GlueSEControlProtocol[@GlueSEControlProtocolVersion='2.2.0']/../GlueSA[@GlueSAFreeOnlineSize!=0]/GlueVOInfo[@GlueVOInfoAccessControlBaseRule='engage'][@GlueVOInfoPath] \n return concat(\"/TESTFILE\", \"&#xA;\")";

            //getName()
            String results_str;
            results_str = AccessXMLDB.query(xq.toString(), "is.grid.iu.edu");

            System.out.println(results_str);

        } finally {
            XMLDB.XMLDBFactory.getInstance().close();
        }
    }

}
