package gov.fnal.xpath2ldap;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.framework.TestCase;
import gov.fnal.xpath2ldap.XPathLDAPEvaluator;

/**
 * XPathSearch Tester.
 *
 * @author <Authors name>
 * @since <pre>03/21/2009</pre>
 * @version 1.0
 */
public class XPathSearchTest extends TestCase {
    public XPathSearchTest(String name) {
        super(name);
    }

    public void setUp() throws Exception {
        super.setUp();
    }

    public void tearDown() throws Exception {
        super.tearDown();
    }

    /**
     *
     * Method: main(String[] args)
     *
     */
    public void testMain() throws Exception {
        String expr= "//GlueSE/GlueSEControlProtocol[@GlueSEControlProtocolVersion='2.2.0']/@GlueSEControlProtocolEndpoint";
        System.out.println(expr);
        XPathLDAPEvaluator xpathSearcher = new XPathLDAPEvaluator("is.grid.iu.edu", 2170);
        String response = xpathSearcher.search(expr);
        assert(!"0".equals(response));
    }



    public static Test suite() {
        return new TestSuite(XPathSearchTest.class);
    }
}
