xquery version "1.0";
declare variable $vo as xs:string external;
declare variable $upper := upper-case($vo);
declare variable $lower := lower-case($vo);
declare variable $storage_element_id as xs:string external;

if ($storage_element_id="") then
string-join(
for $voinfo in //GlueSE/GlueSEControlProtocol[@GlueSEControlProtocolVersion='2.2.0']/../GlueSA/GlueVOInfo[@GlueVOInfoAccessControlBaseRule=$vo or @GlueVOInfoAccessControlBaseRule=$upper or @GlueVOInfoAccessControlBaseRule=$lower]
    let $bef := substring-before($voinfo/../../@dn, "Mds-Vo-name=")
    let $aft := replace($voinfo/../../@dn, concat($bef, "Mds-Vo-name="), "")
    let $site_name := substring-before($aft, ",")
    return concat($site_name, "&#xA;"), 
"")
else
string-join(
for $se in //GlueSE[@GlueSEUniqueID=$storage_element_id]
    let $bef := substring-before($se/@dn, "Mds-Vo-name=")
    let $aft := replace($se/@dn, concat($bef, "Mds-Vo-name="), "")
    let $site_name := substring-before($aft, ",")
    return concat($site_name, "&#xA;"), 
"")
